Documentation Index Fetch the complete documentation index at: https://docs.manifestfinancial.com/llms.txt
Use this file to discover all available pages before exploring further.
Overview
The Buyer object represents a customer that pays money to your organization.
Methods
Create
Get
Get by External ID
Update
List
POST /buyer
Create a new buyer under your enterprise.
Body Parameters Legal first name from your records.
Legal last name from your records.
Optional user identifier from your system. If set, Manifest will enforce uniqueness, e.g. attempts to create a second buyer for the same user will fail. This should be a stable value like a User ID, not something that might change like an email address or phone number. This value should not contain any sensitive information.
Email address from your records.
ID of the payment instrument to associate with the buyer, if you have one. Primary usage is migrating existing customers to Manifest.
User defined data that can be attached to the object. See the User Data
page for details. Example // POST /buyer
{
"first_name" : "Paul" ,
"last_name" : "McCartney" ,
"email" : "paul@thebeatles.com" ,
}
GET /buyer/:id
Retrieve a buyer by its ID.
Path Parameters The ID of the buyer to retrieve.
Example {
"id" : "buy_XXXXX" ,
"external_id" : "AB789" ,
"first_name" : "Paul" ,
"last_name" : "McCartney" ,
"email" : "paul@thebeatles.com" ,
"user_data" : {},
"created_at" : "2024-01-26T21:18:16.704Z" ,
"updated_at" : "2024-01-26T21:18:16.704Z"
}
GET /buyer/external/:external_id
Get details of one of your enterprise’s buyers by your own user identifier. (Must set external_id during buyer creation to use this method.)
Path Parameters User identifier from your system.
Example {
"id" : "buy_XXXXX" ,
"external_id" : "AB789" ,
"first_name" : "Paul" ,
"last_name" : "McCartney" ,
"email" : "paul@thebeatles.com" ,
"user_data" : {},
"created_at" : "2024-01-26T21:18:16.704Z" ,
"updated_at" : "2024-01-26T21:18:16.704Z"
}
PUT /account-connection/:id
Update data associated with one of your enterprise’s connections.
Path Parameters The ID of the buyer to update.
Body Parameters Legal first name from your records.
Legal last name from your records.
Email address from your records.
User defined data that can be attached to the object. See the User Data
page for details. Example // PUT /account-connection/acon_XXXXX
{
"first_name" : "Linda" ,
"email" : "linda@gmail.com"
}
GET /buyer
List all buyers associated with your enterprise.
Query Parameters The page number to return. Default is 1.
The number of items to return per page. Default is 10.
Example {
"data" : [
{
"id" : "buy_XXXXX" ,
"first_name" : "Paul" ,
"last_name" : "McCartney" ,
"email" : "paul@thebeatles.com" ,
"user_data" : {},
"created_at" : "2024-01-26T21:18:16.704Z" ,
"updated_at" : "2024-01-26T21:18:16.704Z"
},
{
"id" : "buy_YYYYY" ,
"first_name" : "John" ,
"last_name" : "Lennon" ,
"email" : "john@thebeatles.com" ,
"user_data" : {},
"created_at" : "2024-01-26T21:18:16.704Z" ,
"updated_at" : "2024-01-26T21:18:16.704Z"
},
{
"id" : "buy_ZZZZZ" ,
"first_name" : "George" ,
"last_name" : "Harrison" ,
"email" : "george@thebeatles.com" ,
"user_data" : {},
"created_at" : "2024-01-26T21:18:16.704Z" ,
"updated_at" : "2024-01-26T21:18:16.704Z"
},
],
"pagination" : {
"page" : 1 ,
"page_size" : 10 ,
"total" : 3
}
}
Properties
Identifier for this buyer.
Legal first name from your records.
Legal last name from your records.
Optional user identifier from your system. If set, Manifest will enforce uniqueness, e.g. attempts to create a second buyer for the same user will fail. This should be a stable value like a User ID, not something that might change like an email address or phone number. This value should not contain any sensitive information.
Email address from your records.
User defined data that can be attached to the object. See the User Data page for details.
Embeddable form that allows your buyers to securely manage their payment method. You should not store this URL, as it may change over time. See Payment Methods for details.
The buyer’s stored payment card details. If null, the buyer has no stored card. Last 4 digits of the card
Card brand key (e.g. VISA, MASTERCARD, AMERICAN_EXPRESS, DISCOVER)
Card expiration month (1-12)